import { z } from 'zod';
import { SPECIAL_COLLECTIVE_ID_EXTERNAL } from '../specialities/collective/specialCollectiveId';
import { firebaseAdminIdParser } from './parsers.admin';

export enum CollectiveIdBrand {
  _ = '',
}

export type CollectiveId = string & (CollectiveIdBrand | typeof SPECIAL_COLLECTIVE_ID_EXTERNAL);
export type CollectiveAdminId = z.infer<typeof firebaseAdminIdParser>;
