"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.firebaseCollectiveIdParser = void 0;
const zod_1 = require("zod");
const specialCollectiveId_1 = require("../specialities/collective/specialCollectiveId");
const parsers_1 = require("../firebase/id/parsers");
exports.firebaseCollectiveIdParser = zod_1.z
    .union([zod_1.z.literal(specialCollectiveId_1.SPECIAL_COLLECTIVE_ID_EXTERNAL), parsers_1.firebaseCommonIdParser])
    .transform((v) => v);
