import type { z } from 'zod';
import { payinMethodDeleteParamsParser, payinMethodListQueryParser, payinMethodListResultParser, payinMethodUpsertParamsParser, payinMethodUpsertResultParser } from './parsers';
export declare type PayinMethodUpsertParams = z.infer<typeof payinMethodUpsertParamsParser>;
export declare type PayinMethodUpsertResult = z.infer<typeof payinMethodUpsertResultParser>;
export declare type PayinMethodListQuery = z.infer<typeof payinMethodListQueryParser>;
export declare type PayinMethodListResult = z.infer<typeof payinMethodListResultParser>;
export declare type PayinMethodDeleteParams = z.infer<typeof payinMethodDeleteParamsParser>;
